Bug 59222 - [BROKEN] comms/bforce port on -CURRENT
Summary: [BROKEN] comms/bforce port on -CURRENT
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-11-12 17:20 UTC by oleg dashevskii
Modified: 2003-11-14 14:29 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description oleg dashevskii 2003-11-12 17:20:18 UTC
	A syntax error found by bison 1.75:

becho# make
===>  Building for bforce-0.22.8
bison -y bforce/expression.y
bforce/expression.y:208.1-2: parse error, unexpected "%%", expecting ";" or "|"
gmake: *** [bforce/expression.c] ïÛÉÂËÁ 1
*** Error code 2
	
	Strange enough, `yacc bforce/expression.y` is ok (no errors).

Fix: 

dunno
How-To-Repeat: 	cd /usr/ports/comms/bforce; make install clean
Comment 1 oleg dashevskii 2003-11-13 06:12:24 UTC
Solved the problem. Here goes modified comms/bforce/files/patch-aa
(now configure selects system's /usr/bin/byacc and voila)

=== cut ===
--- configure.orig	Sun Nov 12 21:19:24 2000
+++ configure	Thu Nov 13 11:59:17 2003
@@ -746,10 +746,10 @@
 #
 echo $ac_n "checking "UUCP lock files directory"""... $ac_c" 1>&6
 echo "configure:749: checking "UUCP lock files directory"" >&5
-if test -d /var/lock ; then
-	lockdir=/var/lock/
-elif test -d /var/spool/lock ; then
+if test -d /var/spool/lock ; then
 	lockdir=/var/spool/lock/
+elif test -d /var/lock ; then
+	lockdir=/var/lock/
 else
 	lockdir=/var/lock/
 fi
@@ -759,7 +759,7 @@
 
 echo "$ac_t"""$lockdir"" 1>&6
 
-for ac_prog in 'bison -y' byacc
+for ac_prog in byacc 'bison -y'
 do
 # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
=== cut ===

--
be9
Comment 2 Sergey A. Osokin freebsd_committer 2003-11-13 16:04:38 UTC
On Wed, Nov 12, 2003 at 11:13:03PM +0600, oleg dashevskii wrote:
> becho# make
> ===>  Building for bforce-0.22.8
> bison -y bforce/expression.y
> bforce/expression.y:208.1-2: parse error, unexpected "%%", expecting ";" or "|"
> gmake: *** [bforce/expression.c] ïÛÉÂËÁ 1
> *** Error code 2
> 	
> 	Strange enough, `yacc bforce/expression.y` is ok (no errors).

Try to use folloing patch. If its OK - I'll commit it ASAP.
-----------------------
Index: ports/comms/bforce/files/patch-aa
===================================================================
RCS file: /home/pcvs/ports/comms/bforce/files/patch-aa,v
retrieving revision 1.1
diff -u -u -r1.1 patch-aa
--- ports/comms/bforce/files/patch-aa	19 Feb 2003 10:30:22 -0000	1.1
+++ ports/comms/bforce/files/patch-aa	13 Nov 2003 16:03:03 -0000
@@ -1,6 +1,5 @@
-diff -ur configure configure
---- configure	Sun Nov 12 22:19:24 2000
-+++ configure	Thu Jan 16 09:34:36 2003
+--- configure.orig	Sun Nov 12 18:19:24 2000
++++ configure	Thu Nov 13 18:59:15 2003
 @@ -746,10 +746,10 @@
  #
  echo $ac_n "checking "UUCP lock files directory"""... $ac_c" 1>&6
@@ -15,3 +14,12 @@
  else
  	lockdir=/var/lock/
  fi
+@@ -759,7 +759,7 @@
+ 
+ echo "$ac_t"""$lockdir"" 1>&6
+ 
+-for ac_prog in 'bison -y' byacc
++for ac_prog in 'yacc' byacc
+ do
+ # Extract the first word of "$ac_prog", so it can be a program name with args.
+ set dummy $ac_prog; ac_word=$2
-----------------------

-- 

Rgdz,                        /"\  ASCII RIBBON CAMPAIGN
Sergey Osokin aka oZZ,       \ /    AGAINST HTML MAIL
http://ozz.pp.ru/             X          AND NEWS
                             / \
Comment 3 Max Khon freebsd_committer 2003-11-14 14:28:10 UTC
State Changed
From-To: open->closed

Committed, thanks!